# Class IntervalSetIterator

java.lang.Object
org.snpeff.interval.IntervalSetIterator

All Implemented Interfaces:
  `Iterable<Set<Marker>>, Iterator<Set<Marker>>`

public class IntervalSetIterator extends Object implements Iterator<Set<Marker>>, Iterable<Set<Marker>>
Iterate over intervals. Note: The returned set is recycled on every iteration

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`IntervalSetIterator(Markers intervals)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Iterator<Set<Marker>>`
`iterator()`
`Set<Marker>`
`next()`
`void`
`remove()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### IntervalSetIterator

public IntervalSetIterator(Markers intervals)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Set<Marker>>`

### iterator

public Iterator<Set<Marker>> iterator()

Specified by:
  `iterator` in interface `Iterable<Set<Marker>>`

### next

public Set<Marker> next()

Specified by:
  `next` in interface `Iterator<Set<Marker>>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Set<Marker>>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`